The firmware update passes when it should skip due to a misplaced
newline.
Cc: Dave Jiang <dave.jiang(a)intel.com>
Signed-off-by: Dan Williams <dan.j.williams(a)intel.com>
---
test/firmware-update.sh | 3 +--
1 file changed, 1 insertion(+), 2 deletions(-)
diff --git a/test/firmware-update.sh b/test/firmware-update.sh
index 79767d2dc41f..0d5bcdb3cc42 100755
--- a/test/firmware-update.sh
+++ b/test/firmware-update.sh
@@ -53,8 +53,7 @@ do_tests()
$ndctl update-firmware -d $dev -f $image
}
-check_min_kver "4.16" || { echo "kernel $KVER may lack firmware update
test handling"; exit
-$rc; }
+check_min_kver "4.16" || { echo "kernel $KVER may lack firmware update
test handling"; exit $rc; }
modprobe nfit_test
rc=1
reset
Show replies by thread